
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)quizstep.h	2.3 JWC"; */

#ifndef QUIZSTEP_H
#define QUIZSTEP_H

/*
 *  QuizStep - 
 */

typedef struct QuizStep QuizStep;

#include "collect.h"

#define N_STEPTYPES 7

#define STEP_NONE 0
#define STEP_VERB 1
#define STEP_PSUBJ 2
#define STEP_TEXTOF 3
#define STEP_CONJUGATE 4
#define STEP_QUIZ 5
#define STEP_SCORE 6

struct QuizStep
{
    int type;
    Collection *detail;		/* of associations	*/
};

#if __STDC__

extern QuizStep *QuizStep_new();
extern QuizStep *QuizStep_newFromString(char *string, Collection *symbols);
extern int QuizStep_display(QuizStep *self);
extern int QuizStep_perform(QuizStep *self);
extern void QuizStep_destroy(QuizStep *self);

#else

extern QuizStep *QuizStep_new();
extern QuizStep *QuizStep_newFromString();
extern int QuizStep_display();
extern int QuizStep_perform();
extern void QuizStep_destroy();

#endif

#endif

